<template>
  <v-dialog v-model="show" fullscreen transition="slide-y-transition">
    <v-sheet height="100%">
      <v-toolbar dark flat color="primary">
        <v-btn icon @click="close">
          <v-icon>mdi-close</v-icon>
        </v-btn>
        <v-toolbar-title>Settings</v-toolbar-title>
        <v-spacer></v-spacer>
        <v-toolbar-items>
          <v-btn text @click="close">Close</v-btn>
        </v-toolbar-items>
        <template v-slot:extension>
          <v-tabs centered color="white">
            <v-tabs-slider color="yellow"></v-tabs-slider>
            <v-tab> <v-icon left>mdi-tune</v-icon>General </v-tab>
            <v-tab> <v-icon left>mdi-ethernet</v-icon>Connection </v-tab>
            <v-tab> <v-icon left>mdi-file-document-edit</v-icon>Tools </v-tab>

            <v-tab-item>
              <GeneralSettings class="mt-10" />
            </v-tab-item>

            <v-tab-item>
              <ConnectionSettings class="mt-10" />
            </v-tab-item>

            <v-tab-item>
              <LogSettings class="mt-10" />
            </v-tab-item>

          </v-tabs>
        </template>
      </v-toolbar>
    </v-sheet>
  </v-dialog>
</template>

<script>
import GeneralSettings from "./Settings/GeneralSettings";
import LogSettings from "./Settings/LogSettings";
import ConnectionSettings from "./Settings/ConnectionSettings";

export default {
  name: "Settings",
  components: {
    GeneralSettings,
    LogSettings,
    ConnectionSettings,
  },
  data: () => ({}),
  computed: {
    show: {
      get() {
        return this.$store.getters["drawer/settings"];
      },
      set() {
        this.$store.dispatch(
          "drawer/showSettings",
          !this.$store.getters["drawer/settings"]
        );
      },
    },
  },
  methods: {
    close() {
      this.$store.dispatch("drawer/showSettings", false);
    },
  },
};
</script>

<style scoped>
</style>